* {
    transition: all 0.2s cubic-bezier(0.4, 0.0, 0.2, 1);
}

body {
    margin: 0px;
    background: #F5F5F5;
    font-family: Roboto, sans-serif;
    color: rgba(0, 0, 0, 0.87);
}

a {
    color: inherit;
}

div.header {
    display: block;
    position: fixed;
    width: 100%;
    height: 56px;
    z-index: 10;
    background: #8839EF;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
}

div.content {
    margin: 0px auto 0px auto;
    padding: 88px 0px 16px 0px;
    max-width: 720px;
    z-index: 5;
}
div.content > * {
    margin: 0px 0px 16px 0px;
}

div.headercontent {
    position: relative;
    margin: 0px auto 0px auto;
    max-width: 720px;
    height: 100%;
}

div.headercontent > img.logo {
    position: absolute;
    left: 8px;
    top: 8px;
    padding: 4px;
    width: 32px;
    height: 32px;
    cursor: pointer;
    border-radius: 4px;
    background: rgba(255, 255, 255, 0.0);
}
div.headercontent > img.logo:hover {
    background: rgba(255, 255, 255, 0.2);
}

div.headercontent > input[type=search] {
    position: absolute;
    width: calc(100% - 112px);
    padding: 0px 12px 0px 12px;
    top: 8px;
    left: 56px;
    font-size: 16px;
    height: 40px;
    background: rgba(255, 255, 255, 0.2);
    color: #FFFFFF;
    border-radius: 4px;
    border: none;
}
div.headercontent > input[type=search]::-webkit-input-placeholder {
    color: #FFFFFF;
}
div.headercontent > input[type=search]::-moz-placeholder {
    color: #FFFFFF;
}

div.headercontent > img.updates {
    position: absolute;
    right: 8px;
    top: 8px;
    padding: 4px;
    width: 32px;
    height: 32px;
    cursor: pointer;
    border-radius: 4px;
    background: rgba(255, 255, 255, 0.0);
}
div.headercontent > img.updates:hover {
    background: rgba(255, 255, 255, 0.2);
}

div.content > div.card {
    display: block;
    width: 100%;
    min-height: 64px;
    background: #DDDDDD;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
}

div.content > div.update {
    display: block;
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0.3);
    padding: 8px;
    width: 92px;
    height: 16px;
    color: #FFFFFF;
    background: #9E9E9E;
    font-size: 16px;
    text-align: center;
    border-radius: 4px;
    line-height: 16px;
    margin-left: auto;
    margin-right: 12px;
}
div.content > div.update::before {
    content: 'Busy';
}
div.content > div.update.enabled {
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
    background: #4CAF50;
    cursor: pointer;
}
div.content > div.update.enabled::before {
    content: 'Update';
}

div.content > div.message {
    display: block;
    width: calc(100% - 32px);
    font-size: 32px;
    color: rgba(0, 0, 0, 0.54);
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

div.packagecontainer {
    position: relative;
    overflow: hidden;
}

div.package {
    display: block;
    position: relative;
    margin-top: 1px;
    min-height: 64px;
    width: 100%;
    height: 72px;
    background: #FFFFFF;
    overflow: hidden;
    cursor: pointer;
}
div.package.expanded {
    height: 152px;
}
div.package:hover {
    background: #FAFAFA;
}

div.package > div.icon {
    position: absolute;
    left: 12px;
    top: 12px;
    width: 48px;
    height: 48px;
    border-radius: 24px;
    background: #FF9800;
    color: #FFFFFF;
    text-align: center;
    line-height: 48px;
    font-size: 24px;
    opacity: 1;
}

div.package > img.icon {
    position: absolute;
    left: 12px;
    top: 12px;
    width: 48px;
    height: 48px;
    opacity: 0;
}

div.package > div.title {
    position: absolute;
    left: 72px;
    top: 14px;
    width: calc(100% - 204px);
    font-size: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
div.package.expanded > div.title {
    top: 20px;
    font-size: 24px;
}
div.package.aur > div.title::after {
    content: ' AUR';
    color: #FF9800;
}

div.package > div.description {
    position: absolute;
    left: 72px;
    top: 38px;
    width: calc(100% - 204px);
    font-size: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: rgba(0, 0, 0, 0.54);
}
div.package.expanded > div.description {
    top: 72px;
    width: calc(100% - 34px);
    left: 16px;
}

div.package ~ div.url {
    position: absolute;
    left: 16px;
    top: 72px;
    width: calc(100% - 34px);
    font-size: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: rgba(0, 0, 0, 0.54);
}
div.package.expanded ~ div.url {
    top: 96px;
}

div.package > div.version {
    position: absolute;
    left: 16px;
    top: 96px;
    width: calc(100% - 34px);
    font-size: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: rgba(0, 0, 0, 0.54);
}
div.package > div.version::before {
    content: 'version ';
}
div.package.expanded > div.version {
    top: 120px;
}

div.packagecontainer > div.button {
    position: absolute;
    right: 12px;
    top: 20px;
    padding: 8px;
    width: 92px;
    height: 16px;
    color: #FFFFFF;
    background: #9E9E9E;
    font-size: 16px;
    text-align: center;
    border-radius: 4px;
    cursor: pointer;
    line-height: 16px;
}
div.packagecontainer > div.button::before {
    content: 'Busy';
}

div.packagecontainer > div.button.install::before {
    content: 'Install';
}
div.packagecontainer > div.button.install {
    background: #4CAF50;
}
div.packagecontainer > div.button.install:hover {
    background: #66BB6A;
}
/* Disable install button for AUR packages until fixed */
div.package.aur ~ div.button.install {
    background: #9E9E9E;
}
div.package.aur ~ div.button.install:hover {
    background: #9E9E9E;
}

div.packagecontainer > div.button.uninstall::before {
    content: 'Uninstall';
}
div.packagecontainer > div.button.uninstall {
    background: #F44336;
}
div.packagecontainer > div.button.uninstall:hover {
    background: #EF5350;
}
